/*
 * Copyright 2005-2010 the original author or authors.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */ 
package org.wamblee.security.authorization;

import javax.persistence.DiscriminatorColumn;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;
import javax.persistence.Version;

import org.wamblee.usermgt.User;

/**
 * Condition used to match a user against a specified set of users.
 * 
 * @author Erik Brakkee
 */
@Entity
@Table(name = "SEC_USER_CONDITION")
@Inheritance(strategy = InheritanceType.SINGLE_TABLE)
@DiscriminatorColumn(name = "TYPE")
public abstract class AbstractUserCondition implements UserCondition {
    
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long primaryKey;

    @Version
    private int version;
    
    public AbstractUserCondition() { 
        // Empty.
    }
    
    public AbstractUserCondition(AbstractUserCondition aCondition) { 
        primaryKey = aCondition.primaryKey;
        version = aCondition.version;
    }
}
